package com.zcloud.service.hiddenDangerCheckStandard.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.hiddenDangerCheckStandard.CustomDisableTimeMapper;
import com.zcloud.mapper.datasource.hiddenDangerCheckStandard.ListCheckStandardItemMapper;
import com.zcloud.service.hiddenDangerCheckStandard.CustomDisableTimeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：清单管理
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CustomDisableTimeServiceImpl implements CustomDisableTimeService {
    @Autowired
    private CustomDisableTimeMapper customDisableTimeMapper;

    /**新增
     * @param pd
     * @throws Exception
     */
    public void save(PageData pd)throws Exception{
        customDisableTimeMapper.save(pd);
    }

    /**删除
     * @param pd
     * @throws Exception
     */
    public void delete(PageData pd)throws Exception{
        customDisableTimeMapper.delete(pd);
    }

    /**修改
     * @param pd
     * @throws Exception
     */
    public void edit(PageData pd)throws Exception{
        customDisableTimeMapper.edit(pd);
    }

    /**修改
     * @param pd
     * @throws Exception
     */
    public void editEndTime(PageData pd)throws Exception{
        customDisableTimeMapper.editEndTime(pd);
    }

    /**列表
     * @param page
     * @throws Exception
     */
    public List<PageData> list(Page page)throws Exception{
        return customDisableTimeMapper.datalistPage(page);
    }

    /**列表(全部)
     * @param pd
     * @throws Exception
     */
    public List<PageData> listAll(PageData pd)throws Exception{
        return customDisableTimeMapper.listAll(pd);
    }

    /**查找完整数据
     * @param pd
     * @throws Exception
     */
    public List<PageData> listByFull(PageData pd)throws Exception{
        return customDisableTimeMapper.listByFull(pd);
    }

    /**通过id获取数据
     * @param pd
     * @throws Exception
     */
    public PageData findById(PageData pd)throws Exception{
        return customDisableTimeMapper.findById(pd);
    }

    /**通过清单获取数据
     * @param pd
     * @throws Exception
     */
    public PageData findByList(PageData pd)throws Exception{
        return customDisableTimeMapper.findByList(pd);
    }

    /**批量删除
     * @param ArrayDATA_IDS
     * @throws Exception
     */
    public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
        customDisableTimeMapper.deleteAll(ArrayDATA_IDS);
    }

}
